# $Revision: 1.8 $, $Date: 2006/08/23 21:31:56 $
#
# Conditional build:
%bcond_without	mpeg4ip	# without MPEG4 support in frontend (which requires mpeg4ip)
#
Summary:	Freeware Advanced Audio Codec
Summary(pl):	Freeware Advanced Audio Codec - darmowy zaawansowany kodek dwiku
Name:		faac
Version:	1.25
Release:	1
License:	LGPL v2.1+
Group:		Applications/Sound
Source0:	http://dl.sourceforge.net/faac/%{name}-%{version}.tar.gz
# Source0-md5:	75eaffd18ee072eaca52ae2d622bb1db
Patch0:		%{name}-link.patch
URL:		http://www.audiocoding.com/
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	dos2unix
BuildRequires:	libtool
%{?with_mpeg4ip:BuildRequires:	mpeg4ip-devel}
Requires:	%{name}-libs = %{version}-%{release}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
FAAC is an ISO/MPEG 2/4 AAC encoder library developed for the Freeware
Advanced Audio Coding project.

%description -l pl
FAAC to biblioteka kodera ISO/MPEG 2/4 AAC stworzona dla projektu
Freeware Advanced Audio Coding (darmowego zaawansowanego kodowania
dwiku).

%package libs
Summary:	Freeware Advanced Audio Codec library
Summary(pl):	Freeware Advanced Audio Codec - biblioteka darmowego zaawansowanego kodeka dwiku
Group:		Libraries

%description libs
FAAC is an ISO/MPEG 2/4 AAC encoder library developed for the Freeware
Advanced Audio Coding project.

%description libs -l pl
FAAC to biblioteka kodera ISO/MPEG 2/4 AAC stworzona dla projektu
Freeware Advanced Audio Coding (darmowego zaawansowanego kodowania
dwiku).

%package devel
Summary:	Header files for faac library
Summary(pl):	Pliki nagwkowe biblioteki faac
Group:		Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}

%description devel
Header files for faac library.

%description devel -l pl
Pliki nagwkowe biblioteki faac.

%package static
Summary:	Static faac library
Summary(pl):	Statyczna biblioteka faac
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static faac library.

%description static -l pl
Statyczna biblioteka faac.

%prep
%setup -q -n %{name}
%patch0 -p1

# aclocal can't stand it
dos2unix configure.in

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	%{!?with_mpeg4ip:--without-mp4v2}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	libs -p /sbin/ldconfig
%postun	libs -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/*

%files libs
%defattr(644,root,root,755)
%doc ChangeLog README TODO docs/faac.html
%attr(755,root,root) %{_libdir}/lib*.so.*.*

%files devel
%defattr(644,root,root,755)
%doc docs/libfaac.html
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_includedir}/*.h

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: faac.spec,v $
Revision 1.8  2006/08/23 21:31:56  qboosh
- updated to 1.25, updated link patch, removed obsolete force_to_use_without-mp4v2 patch

Revision 1.7  2005/12/30 11:05:54  pluto
- release 3 (rel. 2 was for mpeg4ip bootstrap).

Revision 1.6  2004/04/25 13:55:14  ankry
- spaces -> tabs

Revision 1.5  2004/04/25 13:25:44  qboosh
- bcond name unification (with faad2.spec), better bcond desc

Revision 1.4  2004/04/24 19:29:57  twittner
- added bcond --without mp4v2 intended for bootstrap'
- added --without-mp4v2 to configure in exchange for autodetection of mp4
  library.
- rel. 2

Revision 1.3  2004/04/23 20:23:09  qboosh
- updated to 1.24, updated link patch
- separated -libs from frontend (now built with mpeg4 support)

Revision 1.2  2004/02/09 20:49:32  qboosh
- updated to 1.23.5, added descriptions and link patch

Revision 1.1  2003/11/25 23:08:50  wiget
- new
